Name:                nodejs-fill-keys
Version:             1.0.2
Release:             1
Summary:             Fill keys in a destination that are defined on the source
License:             MIT
URL:                 https://github.com/bendrucker/fill-keys
Source0:             https://github.com/bendrucker/fill-keys/archive/v%{version}.tar.gz#/nodejs-fill-keys-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(is-object) npm(merge-descriptors) >= 1.0.0
BuildRequires:       npm npm(tape)

%description
Fill keys in a destination that are defined on the source. Copies
descriptors so properties like enumerable will persist.

%prep
%setup -q -n fill-keys-%{version}
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/fill-keys
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/fill-keys
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} --harmony %{nodejs_sitelib}/tape/bin/tape test.js

%files
%doc readme.md
%license license
%{nodejs_sitelib}/fill-keys

%changelog
* Tue Aug 18 2020 leiju <leiju4@huawei.com> - 1.0.2-1
- Package init
